<?php
$target='nombre';
include("funciones/funciones_backup.php");
include("conexion/conexion.php");
include("Menu/menu_inicio.php");
include("Usuarios/usuarios.php");
//include("conexion/conex.php");

$programa='descarga_por_archivo.php';
$nombrepagina = "DESCARGAR REENVIOS POR ARCHIVO CSV";
$v_mysql=conn_mysql();
encabezado($target);
$user=$_SESSION['validar'];
$filas=1;

if (file_exists('Plano_GuiasSinReenvio.csv')){
	unlink('Plano_GuiasSinReenvio.csv');
}

if($filas == 1){
	class llamado{
		var $menuObj;
		function validar1($id_user,$id_sucursal){
			$this->menuObj=new menu_inicio();
			$this->menuObj->menu2($id_user,$id_sucursal);
		}
	}
	$llamadoObj=new llamado();
	$llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
	entrada($user,$_GET['id_user'],$_GET['suc']);
	echo"</td>";
	echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
	mostrar_cabeza_trabajo($nombrepagina);
}
if($_SESSION['area']!=0){
echo "Modulo de Archivo Plano reenvios Termporalmente Deshabilitado, aun no tiene permisos para la operacion.";
}else{
	   ?>
  <center>
  <FORM action="" method="POST" enctype="multipart/form-data">
  <table>
   <tr  class="miTable_tr">
    <th  class="miTable_th1" colspan="2">Cargar Archivo Plano</th>
   </tr>
   <tr class="miTable_tr">
    <td class="miTable_td">Seleccione Archivo: </td>
    <td class="miTable_td"><div align="left"><input type="file" name="archivo" class="inputbox"></div> </td>
   </tr>
  <tr class="miTable_tr">
    <td class="miTable_td">Ejemplo: </td>
	<td class="miTable_td"><div align="left">
	Guia
        <br>
        68262308
        <br>
        68262314        
	</div></td>
   </tr>

   <tr class="miTable_tr">
    <td class="miTable_td">&nbsp;</td>
    <td class="miTable_td"><div align="left"><input type="submit" id="btplano" name="btplano" value="Cargar Archivo" class="inputbox" onClick="validarforma('archivo','','R');return document.MM_returnValue" class="inputbox"></div></td>
   </tr>   
   <tr  class="miTable_tr">
    <th  class="miTable_th1" colspan="2">&nbsp;</th>
   </tr>
  </table>
  </FORM>
  </center>

 <?php
}
   if (isset($btplano)){
 	$db = new conexion();
 	$db->conectarse();
 	$nombre_archivo=$HTTP_POST_FILES['archivo']['name'];
 	$tipo_archivo=$HTTP_POST_FILES['archivo']['type'];
 	$tamano_archivo=$HTTP_POST_FILES['archivo']['size'];
 	$tmp_archivo=$HTTP_POST_FILES['archivo']['tmp_name'];

 	if (!strpos(strtolower($nombre_archivo),'csv')){
 		echo "<b><center> No se puede continuar, el archivo seleccionado no es CSV.</center></b>";
 		exit();
 	}
 	$cnt=0;
 	$row = 1;
 	$cntreg = 0;
 	$conspl='';
    $separador='';
 	$handle = fopen ($tmp_archivo,"r");
 	while ($data = fgetcsv ($handle, 2048)) {
 		$cnt++;
 		$num = count ($data);
 		if ($cnt>1){
 			for ($c=0; $c <= 1; $c++ ) {
 				if($c==0){$n_guia=$data[$c];}
 				//if($c==1){$ncodigo=$data[$c];}
 				//echo 'Guia'.$data[0].'<br>';
 			}
 			//ECHO $n_guia.'<br>'; 			
			 $rst=$db->consultar("SELECT GUIA,ID_MENSAJERO,ID_PLANILLA FROM guias_proceso where guia='".$n_guia."'
										 and id_estado='16'");
 			if(mysql_num_rows($rst)>=1){
                            	 			/////Se procesa para reenvio.
	 			$cursor=mysql_fetch_array($rst);
	 			$var_mensa=trim($cursor[1]);
	 			$v_pla=trim($cursor[2]);
                                                                
	 			////ACTUALIZO ESTADO RASTREO EN TABLA RASTREO GUIAS
	 			$sql="UPDATE rastreo_guias set E17=17,F17=NOW() WHERE GUIA='".$n_guia."'";
	 			$rst=$db->consultar($sql);
	 			/////INSERTO DATOS EN TABLA REENVIO.
	 			$sql="INSERT INTO reenvio (id,orden,guia,E12,F12,E13,F13,E14,F14,E15,F15,E16,M16,F16,E19,F19,E17,F17,id_mensajero,id_planilla)
				(select 0,orden,guia,E12,F12,E13,F13,E14,F14,E15,F15,E16,M16,F16,E19,F19,E17,F17,'".$var_mensa."' as mensajero,'".$v_pla."' as planilla from 
				rastreo_guias where guia='".$n_guia."')";	 			
	 			$rst=$db->consultar($sql);
                                ////ACTALIZO CANTIDAD DE PLANILLA.
	 			$sql="UPDATE planillas set cantidad=cantidad-1 where id_planilla='".$v_pla."'";
	 			$rst=$db->consultar($sql);
	 			////ACTALIZO EL ESTADO EN GUIAS_PROCESO.
	 			$sql="UPDATE guias_proceso set id_mensajero=0,id_planilla=0,id_estado=12,id_devolucion=0 where guia='".$n_guia."'";
	 			$rst=$db->consultar($sql);
	 			////RESETEO ESTADOS EN RASTREO GUIAS.
	 			$sql="UPDATE rastreo_guias set F12=NOW(),E13=0,F13='0000-00-00 00:00:00',E14=0,F14='0000-00-00 00:00:00',
							E15=0,F15='0000-00-00 00:00:00',E16=0,M16=0,F16='0000-00-00 00:00:00',E17=0,F17='0000-00-00 00:00:00',
							E19=0,F19='0000-00-00 00:00:00' where guia='".$n_guia."'";
	 			$rst=$db->consultar($sql);                                
                                        $cntreg++;
                                        
 					}else{
 					$cadena = trim($n_guia).chr(13).chr(10); 					
 					$archivo = fopen ('Plano_GuiasSinReenvio.csv', "a+");
 					fwrite($archivo, $cadena);
 					fclose($archivo);
                    } 			
 		}
 	}
 	fclose ($handle);
 	if (file_exists('Plano_GuiasSinReenvio.csv')){
 		echo"<center><a title='Ver Guias Sin Actualizar.' target='_blank' href='Plano_GuiasSinReenvio.csv'>Ver Guias Sin Actualizar</a> <center>";
 	}
    if($cntreg>0){
            echo "<center>Guias Actualizadas: ".$cntreg."</center>";
         }
 }
 mostrar_pie();
 echo"</td>";
 echo"</tr>";
 echo"</table>";
 echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
 echo"<tbody><tr>";
 echo"<td></td>";
 echo"</tr>";
 echo"<tr>";
 echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
 echo"</tr>";
 echo"<tr>";
?>
<td>
<center>
<?
        pie_de_pagina();
        ?>
</center>
</td>
<?php
echo"</tr>";
echo"</tbody></table>";
echo"</center>";
echo"</body>";
echo"</html>";
?>
